<?
	/** Plik modyfikujacy dane zadania dotyczace grupy (lub tylko pobierajacy dane, ktore maja byc zmodyfikowane).
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	/** Obecnie nie używana funkcja.
	*/
	function czy_liczba($l){
		$ile = 0;
		$pom = strtr("$l","0123456789","          ");
		if (rtrim("$pom") != "") 
			$ile++;
		if ($l == "")
			$ile++;			
		return (int) $ile;
  	}

	if (!$sess->isLoged("Asys")) {
		$xpage="";
		return;
	}

	/** Pobranie danych z $_GET lub $_POST (jeśli nie ma w $_POST).
	 * Stworzenie linku do samego siebie.
	*/
	include './functions/Acheck.fun.php';
	$Numer_zadania = $_GET['Numer_zadania'];
	if (!isset($Numer_zadania)) $Numer_zadania = $_POST['Numer_zadania'];
	$Numer_grupy = $_GET['Numer_grupy'];
	if (!isset($Numer_grupy)) $Numer_grupy = $_POST['Numer_grupy'];
	$Id_w_cyklu = $_GET['Id_w_cyklu'];
	if (!isset($Id_w_cyklu)) $Id_w_cyklu = $_POST['Id_w_cyklu'];
	$Przedmiot_gr = $_GET['Przedmiot_gr'];
	if (!isset($Przedmiot_gr)) $Przedmiot_gr = $_POST['Przedmiot_gr'];
	$Cykl_gr = $_GET['Cykl_gr'];
	if (!isset($Cykl_gr)) $Cykl_gr = $_POST['Cykl_gr'];
	$Cykl_nazwa_gr = $_GET['Cykl_nazwa_gr'];
	if (!isset($Cykl_nazwa_gr)) $Cykl_nazwa_gr = $_POST['Cykl_nazwa_gr'];
	$Zad_gr = $_GET['Zad_gr'];
	if (!isset($Zad_gr)) $Zad_gr = $_POST['Zad_gr'];
	$What = $_GET['What'];
	if (!isset($What)) $What = $_POST['What'];
	$Left = $_GET['Left'];
	if (!isset($Left)) $Left = $_POST['Left'];

	$Year = $_GET['year'];
	if (!isset($Year)) $Year = $_POST['year'];
	$Month = $_GET['month'];
	if (!isset($Month)) $Month = $_POST['month'];
	$Day = $_GET['day'];
	if (!isset($Day)) $Day = $_POST['day'];
	$Hour = $_GET['hour'];
	if (!isset($Hour)) $Hour = $_POST['hour'];
	$Minutes = $_GET['minutes'];
	if (!isset($Minutes)) $Minutes = $_POST['minutes'];
	$Seconds = $_GET['seconds'];
	if (!isset($Seconds)) $Seconds = $_POST['seconds'];
	$Nalezy = $_GET['Nalezy'];
	if (!isset($Nalezy)) $Nalezy = $_POST['Nalezy'];
	$Poziom_spr = $_GET['Poziom_spr'];
	if (!isset($Poziom_spr)) $Poziom_spr = $_POST['Poziom_spr'];
	$Czy_sl = $_GET['Czy_sl'];
	if (!isset($Czy_sl)) $Czy_sl = $_POST['Czy_sl'];
	$Czy_diff = $_GET['Czy_diff'];
	if (!isset($Czy_diff)) $Czy_diff = $_POST['Czy_diff'];
	$Zakres_spr = $_GET['Zakres_spr'];
	if (!isset($Zakres_spr)) $Zakres_spr = $_POST['Zakres_spr'];

	zrob_treelink_mod ("Asys_mod", "Asys_mod",
	'Numer_zadania', $Numer_zadania,
	'Numer_grupy', $Numer_grupy, 
	'Id_w_cyklu', $Id_w_cyklu,
	'Przedmiot_gr', $Przedmiot_gr,
	'Cykl_gr', $Cykl_gr,
	'Cykl_nazwa_gr', $Cykl_nazwa_gr,
	'Zad_gr', $Zad_gr,
	'What', $What,
	'year', $Year,
	'month', $Month,
	'day', $Day,
	'hour', $Hour,
	'minutes', $Minutes,
	'seconds', $Seconds,
	'Nalezy', $Nalezy,
	'Poziom_spr', $Poziom_spr,
	'Czy_sl', $Czy_sl,
	'Czy_diff', $Czy_diff,
	'Zakres_spr', $Zakres_spr,
	'Left', 'x');

	include './functions/Adb.fun.php';

	/** Przerabianie dziwnego zapisu poziomu sprawdzania.
	*/
	if ($Czy_sl == 'true') $sl = 1; else $sl = 0;
	if ($Czy_diff == 'true') $diff = 1; else $diff = 0;
	$spr = $Poziom_spr;
	$spr = 2 * $spr;
	$spr += $diff;
	$spr = 2 * $spr;
	$spr += $sl;
	//printf("%d, %d, %d, %d<BR>",$sl,$diff,$Poziom_spr,$spr);

	/** Jeśli trzeba to odświerzenie lewego menu.
	*/
	if ($Left == 'x') {
		//print("tu1");
		$yes = 'true';
		include "Aleft_menu.inc.php";
		if ($What == 'x') $What = 'po_x';
	}

	/** W zależności od $What różne czynności są wykonywane w pliku. Gdy ustawione to modyfikowanie wpp. potwierdzanie zajścia operacji.
	*/
	if ($What == 'x') {
		//print("tu2");
		//printf("%s %s %s %s %s %s \n",$year, $month, $day, $hour, $minutes, $seconds);
		$Termin = $year;
		$wynik = changeGroup($Zad_gr,$Year, $Month, $Day, $Hour, $Minutes, $Seconds, $Nalezy,$spr,$Zakres_spr);
		if ($wynik != 'x') $What = 'n';
		$yes = 'true';
		include "Aleft_menu.inc.php";
	}
	
	if ($What == 'po_x') $wynik = 'x';

	readModData($Zad_gr);
	readLittleData($Numer_zadania);
	
?>
